C#######################################################################
C PSTSWM Version 1.0 (8/1/93)                                          #
C  A message-passing benchmark code and parallel algorithm testbed     #
C  that solves the nonlinear shallow water equations using the spectral#
C  transform method.                                                   #
C Written by:                                                          #
C  Patrick Worley of Oak Ridge National Laboratory                     #
C  Ian Foster of Argonne National Laboratory                           #
C Based on the sequential code STSWM 2.0 by James Hack and Ruediger    #
C  Jakob of the National Center for Atmospheric Research.              #
C Research and development funded by the Computer Hardware, Advanced   #
C  Mathematics, and Model Physics (CHAMMP) program of the U.S.         #
C  Department of Energy.                                               # 
C                                                                      #
C Questions and comments should be directed to worley@msr.epm.ornl.gov #
C Please notify and acknowledge the authors in any research or         #
C publications utilizing PSTSWM or any part of the code.               #
C                                                                      #
C NOTICE: Neither the institutions nor the authors make any            #
C representations about the suitability of this software for any       #
C purpose. This software is provided "as is", without express or       #
C implied warranty.                                                    #
C#######################################################################
C***********************************************************************
C* Include file 'tdvars.i'                                             *
C***********************************************************************
C* Common Block /TDVARS/ contains information used in updating the     *
C* the prognostic variables.                                           *
C*                                                                     *
C*    PHIBAR - global mean steady geopotential                         *
C*    LNM1   - offsets denoting start of the different time levels for *
C*    LN       the prognostic variables, implementing a circular       * 
C*    LNP1     buffer with LNM1 = LNP1 = 6 and LN = 1 or vice versa    *
C***********************************************************************
      REAL    PHIBAR
      COMMON  / TDVARS / PHIBAR
C*                                                                     *
      INTEGER LNM1, LN, LNP1
      COMMON  / TDVARS / 
     &        LNM1, LN, LNP1
C*                                                                     *
C***********************************************************************
C* end include file                                                    *
C***********************************************************************
